@echo off

echo begin create cert

del A-server
del Root.crt

set OPENSSL_CONF=openssl.cnf
openssl.exe genrsa -out serverkey.pem 2048
openssl.exe req -new -key serverkey.pem -out server.csr -subj "/CN=HikCentral/C=CN/ST=hangzhou/L=china/O=hikvision/OU=hik"
openssl.exe x509 -req -days 3650 -sha256 -extfile http.ext -signkey serverkey.pem -in server.csr -out A-server

copy A-server Root.crt

copy A-server+serverkey.pem

del server.csr
del serverkey.pem

echo end create cert